

(function ($) {

    $(document).ready(function () {

        var eq3t_app = {
            notional_item_width: 300,
            options: {
                'wrap': 'circular',
                'vertical': false,
                'animation': {'duration': 900, 'easing': 'linear'}
            }
        };
        
        /*
        var options = {
            'wrap': 'circular',
            'vertical': false,
            'animation': {'duration': 900, 'easing': 'linear'}
        };
        */

        //$('.feedback-carousel-items').jcarousel(options);
        
        $('.feedback-carousel-items')
        .on('jcarousel:reload jcarousel:create', function () {
            var carousel = $(this);
            var available_width = carousel.innerWidth();
            // use smaller item on small devices.
            if(available_width < 300) {
                eq3t_app.notional_item_width = 200;
            }
            eq3t_app.items_to_show = Math.floor(available_width / eq3t_app.notional_item_width);
            var width = available_width / eq3t_app.items_to_show;
            // Set item width based on available size.
            carousel.jcarousel('items').css('width', Math.ceil(width) + 'px');
        })
        .jcarousel(eq3t_app.options);
        

        $(".feedback-carousel-ctl").on('click', null, function () {
            var target = $(this);
            var d = target.data('direction');
            var scroll = '';
            if(d === 'forward') {
                scroll = '+=' + eq3t_app.items_to_show;
            }
            else {
                scroll = '-=' + eq3t_app.items_to_show;
            }
            $('.feedback-carousel-items').jcarousel('scroll', scroll);
        });

    });

})(jQuery);
